Intel® Fortran Compiler

OS X 10.9 Xcode 5 error ld: library not found for -lcrt1.10.6.o

Environment:  OS X 10.9 (Mavericks) and Xcode 5.0

Command line compilations/links fail with "ld: library not found for -lcrt1.10.6.o"

Affected compiler:  Intel Composer XE 2013 Update 1

Root cause:  Xcode 5.0 installation does not install all command line tools (include files, libraries, SDKs) need for the compiler to link user applications. 

Оптимизировали, оптимизировали, да не выоптимизировали!

Оптимизация? Конечно, каждый сталкивался с данной задачей при разработке своих, сколь-нибудь значительных, требующих определённых вычислений, приложений. При этом способов оптимизировать код существует огромное множество, и, как следствие, различных путей сделать это в автоматическом режиме с помощью опций компилятора. Вот здесь и возникает проблема – как выбрать то, что нужно нам и не запутаться?

Simple F90 syntax question , if you please

Hello,

It's been a while since I posted.

I have this line:

write(13,153) ((( ALOG(WSratio(I,J,K))/ALOG(ZU/ZL), I=1,7), J=1,4), K = 3)

Upon compile, IVF v.14.x says this:

error #5082: Syntax error, found ')' when expecting one of: ,

It's almost acting as thought my parentheses are unbalanced, but I believe they are balanced.

I wonder what the real violation is here.

Any help is appreciated, as always.

Installation Help

Hello,

I have access to Microsoft Visual Studio Professional 2013 with Update 4. I want to integrate the Intel Fortran Compiler and MKL with VS on Windows 7. So, what I think I need to do is this:

1) Install VS Professional 2013

2) Install Intel Paralell Studio XE 2015 Composer Edition

Is this correct? Is there a better option? Is there somewhere I can read more about my options and/or detailed instructions for integrating these two products?

 

Thanks in advance

XE 2015 update 4 install on Vista?

 

Apologies if this has been covered before but it is a while (ex 2013) since I updated my compiler.  Email for latest update came a day or so ago and I figured it was about time I updated from XE2013 (has mostly been working fine, but have been encountering some issues of late).

Anyway, at the very start of the install process I get the following message:

performance degradation with ifort 15.0.2

Hi,

Previously I built my program with ifort 14.0.1 + impi 4.1. Recently, after switching to ifort 15.0.2 + impi 5.0, my program runs ~30% slower on one SandyBridge core. I keep the compiler options the same: -O2 -xHost -openmp. Anyone observed similar things? Any suggestions? 

Thanks!

Best regards,
   Wentao

 

Intel® Fortran Compiler abonnieren